Skip to content

Update team metadata (admin)

PATCH
/teams/{id}
curl --request PATCH \
--url https://api.muninx.com/teams/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example" }'

Partially updates name and description. Duplicate names are allowed.

id
required
string
Media type application/json

Omitted fields retain their existing values.

object
name

Required on creation. After trimming, must be 1–100 UTF-8 bytes; duplicate names are allowed.

string
description

Optional description, limited to 2,000 UTF-8 bytes.

string
Example generated
{
"name": "example",
"description": "example"
}

Updated team

Media type application/json
object
id
required

Immutable tenant-scoped team ID.

string
name
required
string
description
required
string
avatar

Avatar URL, present after upload.

string
created-at
required
string format: date-time
updated-at
required
string format: date-time
member-count
required

Number of assigned tenant memberships, including pending and suspended members.

integer
Example generated
{
"id": "example",
"name": "example",
"description": "example",
"avatar": "example",
"created-at": "2026-04-15T12:00:00Z",
"updated-at": "2026-04-15T12:00:00Z",
"member-count": 1
}

Invalid tenant or team ID or request body

Missing or invalid bearer token

Role is not permitted

Team not found

Unable to update team or retrieve member count